Index: code/branches/FICN/src/orxonox/objects/Ambient.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/Ambient.cc	(revision 736)
+++ code/branches/FICN/src/orxonox/objects/Ambient.cc	(revision 742)
@@ -31,8 +31,8 @@
 #include <OgreSceneManager.h>
 
-#include "tinyxml/tinyxml.h"
-#include "misc/Tokenizer.h"
-#include "misc/String2Number.h"
-#include "misc/Math.h"
+#include "util/tinyxml/tinyxml.h"
+#include "util/Tokenizer.h"
+#include "util/String2Number.h"
+#include "util/Math.h"
 #include "../core/Debug.h"
 #include "../core/CoreIncludes.h"
Index: code/branches/FICN/src/orxonox/objects/BillboardSet.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/BillboardSet.cc	(revision 736)
+++ code/branches/FICN/src/orxonox/objects/BillboardSet.cc	(revision 742)
@@ -31,5 +31,5 @@
 
 #include "../Orxonox.h"
-#include "misc/Math.h"
+#include "util/Math.h"
 
 #include "BillboardSet.h"
Index: code/branches/FICN/src/orxonox/objects/BillboardSet.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/BillboardSet.h	(revision 736)
+++ code/branches/FICN/src/orxonox/objects/BillboardSet.h	(revision 742)
@@ -9,5 +9,5 @@
 
 #include "../core/CoreIncludes.h"
-#include "misc/Math.h"
+#include "util/Math.h"
 
 namespace orxonox
Index: code/branches/FICN/src/orxonox/objects/Camera.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/Camera.cc	(revision 736)
+++ code/branches/FICN/src/orxonox/objects/Camera.cc	(revision 742)
@@ -7,8 +7,8 @@
 #include <OgreViewport.h>
 
-#include "tinyxml/tinyxml.h"
-#include "misc/Tokenizer.h"
-#include "misc/String2Number.h"
-#include "misc/Math.h"
+#include "util/tinyxml/tinyxml.h"
+#include "util/Tokenizer.h"
+#include "util/String2Number.h"
+#include "util/Math.h"
 #include "../core/Debug.h"
 #include "../core/CoreIncludes.h"
Index: code/branches/FICN/src/orxonox/objects/Explosion.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/Explosion.cc	(revision 736)
+++ code/branches/FICN/src/orxonox/objects/Explosion.cc	(revision 742)
@@ -31,5 +31,5 @@
 
 #include "../core/CoreIncludes.h"
-#include "misc/Math.h"
+#include "util/Math.h"
 #include "../Orxonox.h"
 #include "../particle/ParticleInterface.h"
Index: code/branches/FICN/src/orxonox/objects/Fighter.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/Fighter.cc	(revision 736)
+++ code/branches/FICN/src/orxonox/objects/Fighter.cc	(revision 742)
@@ -33,6 +33,6 @@
 #include <OgreSceneNode.h>
 
-#include "tinyxml/tinyxml.h"
-#include "misc/String2Number.h"
+#include "util/tinyxml/tinyxml.h"
+#include "util/String2Number.h"
 #include "../core/CoreIncludes.h"
 #include "../Orxonox.h"
Index: code/branches/FICN/src/orxonox/objects/Light.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/Light.h	(revision 736)
+++ code/branches/FICN/src/orxonox/objects/Light.h	(revision 742)
@@ -8,5 +8,5 @@
 #include "../OrxonoxPrereqs.h"
 
-#include "misc/Math.h"
+#include "util/Math.h"
 
 namespace orxonox
Index: code/branches/FICN/src/orxonox/objects/Model.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/Model.cc	(revision 736)
+++ code/branches/FICN/src/orxonox/objects/Model.cc	(revision 742)
@@ -26,7 +26,7 @@
  */
 
-#include "tinyxml/tinyxml.h"
-#include "misc/Tokenizer.h"
-#include "misc/String2Number.h"
+#include "util/tinyxml/tinyxml.h"
+#include "util/Tokenizer.h"
+#include "util/String2Number.h"
 #include "../core/CoreIncludes.h"
 #include "../Orxonox.h"
Index: code/branches/FICN/src/orxonox/objects/Skybox.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/Skybox.cc	(revision 736)
+++ code/branches/FICN/src/orxonox/objects/Skybox.cc	(revision 742)
@@ -30,7 +30,7 @@
 #include <OgreSceneManager.h>
 
-#include "tinyxml/tinyxml.h"
-//#include "misc/Tokenizer.h"
-//#include "misc/String2Number.h"
+#include "util/tinyxml/tinyxml.h"
+//#include "util/Tokenizer.h"
+//#include "util/String2Number.h"
 #include "../Orxonox.h"
 #include "../core/CoreIncludes.h"
Index: code/branches/FICN/src/orxonox/objects/SpaceShip.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/SpaceShip.cc	(revision 736)
+++ code/branches/FICN/src/orxonox/objects/SpaceShip.cc	(revision 742)
@@ -34,7 +34,7 @@
 #include <OgreSceneNode.h>
 
-#include "tinyxml/tinyxml.h"
-#include "misc/String2Number.h"
-#include "misc/Math.h"
+#include "util/tinyxml/tinyxml.h"
+#include "util/String2Number.h"
+#include "util/Math.h"
 #include "../core/CoreIncludes.h"
 #include "../core/Debug.h"
Index: code/branches/FICN/src/orxonox/objects/SpaceshipSteeringObject.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/SpaceshipSteeringObject.cc	(revision 736)
+++ code/branches/FICN/src/orxonox/objects/SpaceshipSteeringObject.cc	(revision 742)
@@ -35,7 +35,7 @@
 #include "../Orxonox.h"
 #include "../GraphicsEngine.h"
-#include "../../tinyxml/tinyxml.h"
-#include "../../misc/Tokenizer.h"
-#include "../../misc/String2Number.h"
+#include "util/tinyxml/tinyxml.h"
+#include "util/Tokenizer.h"
+#include "util/String2Number.h"
 #include "../core/Debug.h"
 
Index: code/branches/FICN/src/orxonox/objects/SpaceshipSteeringObject.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/SpaceshipSteeringObject.h	(revision 736)
+++ code/branches/FICN/src/orxonox/objects/SpaceshipSteeringObject.h	(revision 742)
@@ -3,5 +3,5 @@
 
 #include "BaseObject.h"
-#include "../../tinyxml/tinyxml.h"
+#include "util/tinyxml/tinyxml.h"
 
 namespace orxonox
@@ -13,9 +13,9 @@
             virtual ~SpaceshipSteeringObject();
 
-            
+
             void loadParams(TiXmlElement* xmlElem);
 
         private:
-            
+
 
     };
Index: code/branches/FICN/src/orxonox/objects/WorldEntity.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/WorldEntity.cc	(revision 736)
+++ code/branches/FICN/src/orxonox/objects/WorldEntity.cc	(revision 742)
@@ -29,7 +29,7 @@
 #include <sstream>
 
-#include "tinyxml/tinyxml.h"
-#include "misc/Tokenizer.h"
-#include "misc/String2Number.h"
+#include "util/tinyxml/tinyxml.h"
+#include "util/Tokenizer.h"
+#include "util/String2Number.h"
 #include "../core/CoreIncludes.h"
 #include "../Orxonox.h"
Index: code/branches/FICN/src/orxonox/objects/WorldEntity.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/WorldEntity.h	(revision 736)
+++ code/branches/FICN/src/orxonox/objects/WorldEntity.h	(revision 742)
@@ -7,7 +7,7 @@
 #include "../OrxonoxPrereqs.h"
 
-#include "misc/Math.h"
+#include "util/Math.h"
 #include "network/Synchronisable.h"
-#include "tinyxml/tinyxml.h"
+#include "util/tinyxml/tinyxml.h"
 #include "../core/CoreIncludes.h"
 #include "orxonox/core/BaseObject.h"
Index: code/branches/FICN/src/orxonox/objects/test1.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/test1.cc	(revision 736)
+++ code/branches/FICN/src/orxonox/objects/test1.cc	(revision 742)
@@ -29,5 +29,5 @@
 #include "test2.h"
 #include "test3.h"
-#include "../../tinyxml/tinyxml.h"
+#include "util/tinyxml/tinyxml.h"
 #include "../Orxonox.h"
 #include <OgreSceneManager.h>
Index: code/branches/FICN/src/orxonox/objects/test1.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/test1.h	(revision 736)
+++ code/branches/FICN/src/orxonox/objects/test1.h	(revision 742)
@@ -5,5 +5,5 @@
 #include "Tickable.h"
 #include "test3.h"
-#include "../../tinyxml/tinyxml.h"
+#include "util/tinyxml/tinyxml.h"
 
 namespace orxonox
@@ -23,5 +23,5 @@
             void setUsefullClass2(Identifier* identifier);
             void setUsefullClassOfTypeTest3(Identifier* identifier);
-            
+
             void loadParams(TiXmlElement* xmlElem);
 
Index: code/branches/FICN/src/orxonox/objects/weapon_system/AmmunitionDump.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/weapon_system/AmmunitionDump.cc	(revision 736)
+++ code/branches/FICN/src/orxonox/objects/weapon_system/AmmunitionDump.cc	(revision 742)
@@ -28,5 +28,5 @@
 #include "orxonox/Orxonox.h"
 #include "BulletManager.h"
-#include "tinyxml/tinyxml.h"
+#include "util/tinyxml/tinyxml.h"
 
 #include "AmmunitionDump.h"
Index: code/branches/FICN/src/orxonox/objects/weapon_system/BarrelGun.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/weapon_system/BarrelGun.cc	(revision 736)
+++ code/branches/FICN/src/orxonox/objects/weapon_system/BarrelGun.cc	(revision 742)
@@ -31,5 +31,5 @@
 #include <OgreSceneManager.h>
 
-#include "misc/Math.h"
+#include "util/Math.h"
 #include "Bullet.h"
 #include "BulletManager.h"
Index: code/branches/FICN/src/orxonox/objects/weapon_system/BaseWeapon.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/weapon_system/BaseWeapon.cc	(revision 736)
+++ code/branches/FICN/src/orxonox/objects/weapon_system/BaseWeapon.cc	(revision 742)
@@ -31,5 +31,5 @@
 #include <OgreSceneManager.h>
 
-#include "misc/Math.h"
+#include "util/Math.h"
 #include "../../Orxonox.h"
 #include "Bullet.h"
Index: code/branches/FICN/src/orxonox/objects/weapon_system/BulletManager.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/weapon_system/BulletManager.h	(revision 736)
+++ code/branches/FICN/src/orxonox/objects/weapon_system/BulletManager.h	(revision 742)
@@ -37,5 +37,5 @@
 
 #include "network/Synchronisable.h"
-#include "tinyxml/tinyxml.h"
+#include "util/tinyxml/tinyxml.h"
 #include "../../core/CoreIncludes.h"
 #include "orxonox/core/BaseObject.h"