Index: code/branches/FICN_test/visual_studio/benixonox.vcproj
===================================================================
--- code/branches/FICN_test/visual_studio/benixonox.vcproj	(revision 753)
+++ code/branches/FICN_test/visual_studio/benixonox.vcproj	(revision 756)
@@ -197,8 +197,4 @@
 				</File>
 				<File
-					RelativePath="..\src\orxonox\objects\BillboardSet.cc"
-					>
-				</File>
-				<File
 					RelativePath="..\src\orxonox\objects\Camera.cc"
 					>
@@ -213,12 +209,4 @@
 				</File>
 				<File
-					RelativePath="..\src\orxonox\objects\Light.cc"
-					>
-				</File>
-				<File
-					RelativePath="..\src\orxonox\objects\Mesh.cc"
-					>
-				</File>
-				<File
 					RelativePath="..\src\orxonox\objects\Model.cc"
 					>
@@ -245,28 +233,28 @@
 				</File>
 				<Filter
-					Name="weapon_system"
-					>
-					<File
-						RelativePath="..\src\orxonox\objects\weapon_system\AmmunitionDump.cc"
-						>
-					</File>
-					<File
-						RelativePath="..\src\orxonox\objects\weapon_system\BarrelGun.cc"
-						>
-					</File>
-					<File
-						RelativePath="..\src\orxonox\objects\weapon_system\BaseWeapon.cc"
-						>
-					</File>
-					<File
-						RelativePath="..\src\orxonox\objects\weapon_system\Bullet.cc"
-						>
-					</File>
-					<File
-						RelativePath="..\src\orxonox\objects\weapon_system\BulletManager.cc"
-						>
-					</File>
-					<File
-						RelativePath="..\src\orxonox\objects\weapon_system\WeaponStation.cc"
+					Name="weapon"
+					>
+					<File
+						RelativePath="..\src\orxonox\objects\weapon\AmmunitionDump.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\src\orxonox\objects\weapon\BarrelGun.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\src\orxonox\objects\weapon\BaseWeapon.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\src\orxonox\objects\weapon\Bullet.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\src\orxonox\objects\weapon\BulletManager.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\src\orxonox\objects\weapon\WeaponStation.cc"
 						>
 					</File>
@@ -278,4 +266,20 @@
 				<File
 					RelativePath="..\src\orxonox\particle\ParticleInterface.cc"
+					>
+				</File>
+			</Filter>
+			<Filter
+				Name="tools"
+				>
+				<File
+					RelativePath="..\src\orxonox\tools\BillboardSet.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\src\orxonox\tools\Light.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\src\orxonox\tools\Mesh.cc"
 					>
 				</File>
@@ -327,8 +331,4 @@
 				</File>
 				<File
-					RelativePath="..\src\orxonox\objects\BillboardSet.h"
-					>
-				</File>
-				<File
 					RelativePath="..\src\orxonox\objects\Camera.h"
 					>
@@ -343,12 +343,4 @@
 				</File>
 				<File
-					RelativePath="..\src\orxonox\objects\Light.h"
-					>
-				</File>
-				<File
-					RelativePath="..\src\orxonox\objects\Mesh.h"
-					>
-				</File>
-				<File
 					RelativePath="..\src\orxonox\objects\Model.h"
 					>
@@ -375,36 +367,32 @@
 				</File>
 				<File
-					RelativePath="..\src\orxonox\objects\Timer.h"
-					>
-				</File>
-				<File
 					RelativePath="..\src\orxonox\objects\WorldEntity.h"
 					>
 				</File>
 				<Filter
-					Name="weapon_system"
-					>
-					<File
-						RelativePath="..\src\orxonox\objects\weapon_system\AmmunitionDump.h"
-						>
-					</File>
-					<File
-						RelativePath="..\src\orxonox\objects\weapon_system\BarrelGun.h"
-						>
-					</File>
-					<File
-						RelativePath="..\src\orxonox\objects\weapon_system\BaseWeapon.h"
-						>
-					</File>
-					<File
-						RelativePath="..\src\orxonox\objects\weapon_system\Bullet.h"
-						>
-					</File>
-					<File
-						RelativePath="..\src\orxonox\objects\weapon_system\BulletManager.h"
-						>
-					</File>
-					<File
-						RelativePath="..\src\orxonox\objects\weapon_system\WeaponStation.h"
+					Name="weapon"
+					>
+					<File
+						RelativePath="..\src\orxonox\objects\weapon\AmmunitionDump.h"
+						>
+					</File>
+					<File
+						RelativePath="..\src\orxonox\objects\weapon\BarrelGun.h"
+						>
+					</File>
+					<File
+						RelativePath="..\src\orxonox\objects\weapon\BaseWeapon.h"
+						>
+					</File>
+					<File
+						RelativePath="..\src\orxonox\objects\weapon\Bullet.h"
+						>
+					</File>
+					<File
+						RelativePath="..\src\orxonox\objects\weapon\BulletManager.h"
+						>
+					</File>
+					<File
+						RelativePath="..\src\orxonox\objects\weapon\WeaponStation.h"
 						>
 					</File>
@@ -420,44 +408,20 @@
 			</Filter>
 			<Filter
-				Name="misc"
-				>
-				<File
-					RelativePath="..\src\misc\ColourValue.h"
-					>
-				</File>
-				<File
-					RelativePath="..\src\misc\Math.h"
-					>
-				</File>
-				<File
-					RelativePath="..\src\misc\Matrix3.h"
-					>
-				</File>
-				<File
-					RelativePath="..\src\misc\Quaternion.h"
-					>
-				</File>
-				<File
-					RelativePath="..\src\misc\Sleep.h"
-					>
-				</File>
-				<File
-					RelativePath="..\src\misc\String2Number.h"
-					>
-				</File>
-				<File
-					RelativePath="..\src\misc\Tokenizer.h"
-					>
-				</File>
-				<File
-					RelativePath="..\src\misc\Vector2.h"
-					>
-				</File>
-				<File
-					RelativePath="..\src\misc\Vector3.h"
-					>
-				</File>
-				<File
-					RelativePath="..\src\misc\Vector4.h"
+				Name="tools"
+				>
+				<File
+					RelativePath="..\src\orxonox\tools\BillboardSet.h"
+					>
+				</File>
+				<File
+					RelativePath="..\src\orxonox\tools\Light.h"
+					>
+				</File>
+				<File
+					RelativePath="..\src\orxonox\tools\Mesh.h"
+					>
+				</File>
+				<File
+					RelativePath="..\src\orxonox\tools\Timer.h"
 					>
 				</File>