Index: code/branches/FICN_test/src/CMakeLists.txt
===================================================================
--- code/branches/FICN_test/src/CMakeLists.txt	(revision 756)
+++ code/branches/FICN_test/src/CMakeLists.txt	(revision 757)
@@ -1,9 +1,9 @@
-PROJECT(Orxonox)
+INCLUDE_DIRECTORIES(.)
+LINK_DIRECTORIES(${Orxonox_BINARY_DIR})
 
-INCLUDE_DIRECTORIES(.)
-
+ADD_SUBDIRECTORY(util)
+ADD_SUBDIRECTORY(orxonox/core)
+ADD_SUBDIRECTORY(audio)
+ADD_SUBDIRECTORY(network)
 ADD_SUBDIRECTORY(loader)
-ADD_SUBDIRECTORY(network)
 ADD_SUBDIRECTORY(orxonox)
-ADD_SUBDIRECTORY(audio)
-ADD_SUBDIRECTORY(util)
Index: code/branches/FICN_test/src/audio/CMakeLists.txt
===================================================================
--- code/branches/FICN_test/src/audio/CMakeLists.txt	(revision 756)
+++ code/branches/FICN_test/src/audio/CMakeLists.txt	(revision 757)
@@ -1,5 +1,3 @@
-PROJECT(Orxonox)
-
-SET(SRC_FILES
+SET (SRC_FILES
   AudioIncludes.h
   AudioManager.cc
@@ -9,21 +7,14 @@
 )
 
+ADD_LIBRARY(${Orxonox_BINARY_DIR}/audio SHARED ${SRC_FILES})
+SET_TARGET_PROPERTIES( audio PROPERTIES LINK_FLAGS "--no-undefined" )
 
-INCLUDE_DIRECTORIES(..)
-
-IF(WIN32)
-  ADD_LIBRARY(audio ${SRC_FILES})
-ELSE(WIN32)
-  ADD_LIBRARY(audio SHARED ${SRC_FILES})
-ENDIF(WIN32)
-
-TARGET_LINK_LIBRARIES(
-  audio
+TARGET_LINK_LIBRARIES( audio
   ${OPENAL_LIBRARY}
   ${ALUT_LIBRARY}
   ${VORBISFILE_LIBRARY}
-  ${VORBISENC_LIBRARY}
-  ${VORBIS_LIBRARY}
-  ${OGG_LIBRARY}
+#  ${VORBISENC_LIBRARY}
+#  ${VORBIS_LIBRARY}
+#  ${OGG_LIBRARY}
 )
 
Index: code/branches/FICN_test/src/loader/CMakeLists.txt
===================================================================
--- code/branches/FICN_test/src/loader/CMakeLists.txt	(revision 756)
+++ code/branches/FICN_test/src/loader/CMakeLists.txt	(revision 757)
@@ -1,14 +1,8 @@
-PROJECT(Orxonox)
-
-# TODO find a cleaner way to include xmlParser
 SET( LOADER_SRC_FILES
   LevelLoader.cc
 )
 
-IF(WIN32)
-  ADD_LIBRARY(loader ${LOADER_SRC_FILES})
-ELSE(WIN32)
-  ADD_LIBRARY(loader SHARED ${LOADER_SRC_FILES})
-ENDIF(WIN32)
+ADD_LIBRARY(${Orxonox_BINARY_DIR}/loader SHARED ${LOADER_SRC_FILES})
+SET_TARGET_PROPERTIES( loader PROPERTIES LINK_FLAGS "--no-undefined" )
 
 TARGET_LINK_LIBRARIES( loader
Index: code/branches/FICN_test/src/network/CMakeLists.txt
===================================================================
--- code/branches/FICN_test/src/network/CMakeLists.txt	(revision 756)
+++ code/branches/FICN_test/src/network/CMakeLists.txt	(revision 757)
@@ -1,4 +1,2 @@
-PROJECT(Orxonox)
-
 SET( NETWORK_SRC_FILES
   Client.cc
@@ -17,10 +15,16 @@
 
 IF(WIN32)
-  ADD_LIBRARY(network ${NETWORK_SRC_FILES})
+  ADD_LIBRARY(${Orxonox_BINARY_DIR}/network ${NETWORK_SRC_FILES})
 ELSE(WIN32)
-  ADD_LIBRARY(network SHARED ${NETWORK_SRC_FILES})
+  ADD_LIBRARY(${Orxonox_BINARY_DIR}/network SHARED ${NETWORK_SRC_FILES})
 ENDIF(WIN32)
+SET_TARGET_PROPERTIES( network PROPERTIES LINK_FLAGS "--no-undefined" )
 
-TARGET_LINK_LIBRARIES(network ${ZLIB_LIBRARY} ${ENet_LIBRARY} ${Boost_thread_LIBRARIES})
+TARGET_LINK_LIBRARIES( network
+  ${ZLIB_LIBRARY}
+  ${ENet_LIBRARY}
+  ${Boost_thread_LIBRARIES}
+  core
+)
 
 # build those parts only on request.
Index: code/branches/FICN_test/src/orxonox/CMakeLists.txt
===================================================================
--- code/branches/FICN_test/src/orxonox/CMakeLists.txt	(revision 756)
+++ code/branches/FICN_test/src/orxonox/CMakeLists.txt	(revision 757)
@@ -1,51 +1,48 @@
-PROJECT(Orxonox)
-
 ADD_SUBDIRECTORY(core)
-ADD_SUBDIRECTORY(hud)
-ADD_SUBDIRECTORY(objects)
-ADD_SUBDIRECTORY(tools)
-ADD_SUBDIRECTORY(particle)
-
-INCLUDE_DIRECTORIES(tools)
 
 SET( ORXONOX_SRC_FILES
+  GraphicsEngine.cc
+  Main.cc
   Orxonox.cc
   SpaceshipSteering.cc
-  Main.cc
-  GraphicsEngine.cc
+  hud/Hud.cc
+  particle/ParticleInterface.cc
+  tools/BillboardSet.cc
+  tools/Light.cc
+  tools/Mesh.cc
+  objects/Ambient.cc
+  objects/Camera.cc
+  objects/Explosion.cc
+  objects/Fighter.cc
+  objects/Model.cc
+  objects/NPC.cc
+  ojbects/Projectile.cc
+  objects/Skybox.cc
+  objects/SpaceShip.cc
+# objects/SpaceshipSteeringObject.cc
+# objects/test1.cc
+# objects/test2.cc
+# objects/test3.cc
+  objects/WorldEntity.cc
+  objects/weapon/AmmunitionDump.cc
+  objects/weapon/BarrelGun.cc
+  objects/weapon/BaseWeapon.cc
+  objects/weapon/Bullet.cc
+  objects/weapon/BulleManager.cc
+  objects/weapon/WeaponStation.cc
 )
 
-IF(WIN32)
-  SET( OBJECTS_SRC_FILES
-    ${OBJECTS_SRC_FILES}
-    ${TOOLS_SRC_FILES}
-  )
-ELSE(WIN32)
-  SET(LINK_OBJECTS_LIBRARY objects)
-  SET(LINK_TOOLS_LIBRARY tools)
-ENDIF(WIN32)
+ADD_EXECUTABLE(${Orxonox_BINARY_DIR}/main ${ORXONOX_SRC_FILES} )
 
-IF(WIN32)
-#  ADD_LIBRARY(orxonox ${ORXONOX_SRC_FILES})
-ELSE(WIN32)
-  ADD_LIBRARY(orxonox SHARED ${ORXONOX_SRC_FILES})
-ENDIF(WIN32)
+SET_TARGET_PROPERTIES( main PROPERTIES LINK_FLAGS "--no-undefined" )
 
-ADD_EXECUTABLE(../../bin/main ${ORXONOX_SRC_FILES} ${OBJECTS_SRC_FILES})
-
-SET_TARGET_PROPERTIES(../../bin/main PROPERTIES LINK_FLAGS "--no-undefined" )
-
-TARGET_LINK_LIBRARIES( ../../bin/main
+TARGET_LINK_LIBRARIES( main
   ${OGRE_LIBRARIES}
   ${OIS_LIBRARIES}
-  loader
+  util
+  core
   audio
   network
-  core
-  hud
-  ${LINK_OBJECTS_LIBRARY}
-  ${LINK_TOOLS_LIBRARY}
-  util
-  particle
+  loader
 )
 
Index: code/branches/FICN_test/src/orxonox/core/CMakeLists.txt
===================================================================
--- code/branches/FICN_test/src/orxonox/core/CMakeLists.txt	(revision 756)
+++ code/branches/FICN_test/src/orxonox/core/CMakeLists.txt	(revision 757)
@@ -1,4 +1,2 @@
-PROJECT(Orxonox)
-
 SET( CORE_SRC_FILES
   BaseObject.cc
@@ -17,7 +15,8 @@
 )
 
-IF(WIN32)
-  ADD_LIBRARY(core SHARED ${CORE_SRC_FILES})
-ELSE(WIN32)
-  ADD_LIBRARY(core SHARED ${CORE_SRC_FILES})
-ENDIF(WIN32)
+ADD_LIBRARY(${Orxonox_BINARY_DIR}/core SHARED ${CORE_SRC_FILES})
+SET_TARGET_PROPERTIES( core PROPERTIES LINK_FLAGS "--no-undefined" )
+
+TARGET_LINK_LIBRARIES( core
+  util
+)
Index: code/branches/FICN_test/src/orxonox/hud/CMakeLists.txt
===================================================================
--- code/branches/FICN_test/src/orxonox/hud/CMakeLists.txt	(revision 756)
+++ 	(revision )
@@ -1,11 +1,0 @@
-PROJECT(Orxonox)
-
-SET( HUD_SRC_FILES
-  HUD.cc
-)
-
-IF(WIN32)
-  ADD_LIBRARY(hud ${HUD_SRC_FILES})
-ELSE(WIN32)
-  ADD_LIBRARY(hud SHARED ${HUD_SRC_FILES})
-ENDIF(WIN32)
Index: code/branches/FICN_test/src/orxonox/objects/CMakeLists.txt
===================================================================
--- code/branches/FICN_test/src/orxonox/objects/CMakeLists.txt	(revision 756)
+++ 	(revision )
@@ -1,31 +1,0 @@
-PROJECT(Orxonox)
-
-ADD_SUBDIRECTORY(weapon)
-
-SET( OBJECTS_SRC_FILES
-  Ambient.cc
-  Camera.cc
-  Explosion.cc
-  Fighter.cc
-  Model.cc
-  NPC.cc
-  Projectile.cc
-  Skybox.cc
-  SpaceShip.cc
-#  SpaceshipSteeringObject.cc
-  WorldEntity.cc
-  test1.cc
-  test2.cc
-  test3.cc
-  ${WEAPON_SRC_FILES}
-)
-
-IF (NOT WIN32)
-  ADD_LIBRARY(objects SHARED ${OBJECTS_SRC_FILES})
-
-  TARGET_LINK_LIBRARIES( objects
-    util
-    orxonox
-    tools
-  )
-ENDIF (NOT WIN32)
Index: code/branches/FICN_test/src/orxonox/objects/test2.h
===================================================================
--- code/branches/FICN_test/src/orxonox/objects/test2.h	(revision 756)
+++ code/branches/FICN_test/src/orxonox/objects/test2.h	(revision 757)
@@ -3,5 +3,5 @@
 
 #include "orxonox/core/BaseObject.h"
-#include "Timer.h"
+#include "../tools/Timer.h"
 
 namespace orxonox
Index: code/branches/FICN_test/src/orxonox/objects/weapon/CMakeLists.txt
===================================================================
--- code/branches/FICN_test/src/orxonox/objects/weapon/CMakeLists.txt	(revision 756)
+++ 	(revision )
@@ -1,10 +1,0 @@
-PROJECT(Orxonox)
-
-SET (WEAPON_SRC_FILES
-  AmmunitionDump.cc
-  BarrelGun.cc
-  BaseWeapon.cc
-  Bullet.cc
-  BulletManager.cc
-  WeaponStation.cc
-)
Index: code/branches/FICN_test/src/orxonox/particle/CMakeLists.txt
===================================================================
--- code/branches/FICN_test/src/orxonox/particle/CMakeLists.txt	(revision 756)
+++ 	(revision )
@@ -1,11 +1,0 @@
-PROJECT(Orxonox)
-
-SET(SRC_FILES
-  ParticleInterface.cc
-)
-
-IF(WIN32)
-  ADD_LIBRARY(particle ${SRC_FILES})
-ELSE(WIN32)
-  ADD_LIBRARY(particle SHARED ${SRC_FILES})
-ENDIF(WIN32)
Index: code/branches/FICN_test/src/orxonox/tools/CMakeLists.txt
===================================================================
--- code/branches/FICN_test/src/orxonox/tools/CMakeLists.txt	(revision 756)
+++ 	(revision )
@@ -1,13 +1,0 @@
-PROJECT(Orxonox)
-
-SET (TOOLS_SRC_FILES
-  BillboardSet.cc
-  Light.cc
-  Mesh.cc
-)
-
-IF(WIN32)
-  ADD_LIBRARY(tools ${TOOLS_SRC_FILES})
-ELSE(WIN32)
-  ADD_LIBRARY(tools SHARED ${TOOLS_SRC_FILES})
-ENDIF(WIN32)
Index: code/branches/FICN_test/src/util/CMakeLists.txt
===================================================================
--- code/branches/FICN_test/src/util/CMakeLists.txt	(revision 756)
+++ code/branches/FICN_test/src/util/CMakeLists.txt	(revision 757)
@@ -1,19 +1,20 @@
 PROJECT(Orxonox)
 
-ADD_SUBDIRECTORY(tinyxml)
+AUX_SOURCE_DIRECTORY(tinyxml TINYXML_SRC_FILES)
 
 SET (UTIL_SRC_FILES
+  ${TINYXML_SRC_FILES}
   substring.cc
-  ${TINYXML_SRC_FILES}
 )
 
 IF(WIN32)
-  ADD_LIBRARY(util ${UTIL_SRC_FILES})
+  ADD_LIBRARY(util ${UTIL_SRC_FILES} )
 ELSE(WIN32)
-  ADD_LIBRARY(util SHARED ${UTIL_SRC_FILES})
+  ADD_LIBRARY(util SHARED ${UTIL_SRC_FILES} )
 ENDIF(WIN32)
+SET_TARGET_PROPERTIES( util PROPERTIES LINK_FLAGS "--no-undefined" )
 
 
 IF(TESTING_ENABLED)
-ADD_SUBDIRECTORY(testing)
+  ADD_SUBDIRECTORY(testing)
 ENDIF(TESTING_ENABLED)
Index: code/branches/FICN_test/src/util/tinyxml/CMakeLists.txt
===================================================================
--- code/branches/FICN_test/src/util/tinyxml/CMakeLists.txt	(revision 756)
+++ 	(revision )
@@ -1,9 +1,0 @@
-PROJECT(Orxonox)
-
-SET (TINYXML_SRC_FILES
-  ticpp.cc
-  tinystr.cc
-  tinyxml.cc
-  tinyxmlerror.cc
-  tinyxmlparser.cc
-)