Index: /code/branches/FICN_test/src/CMakeLists.txt
===================================================================
--- /code/branches/FICN_test/src/CMakeLists.txt	(revision 760)
+++ /code/branches/FICN_test/src/CMakeLists.txt	(revision 761)
@@ -1,4 +1,3 @@
 INCLUDE_DIRECTORIES(.)
-LINK_DIRECTORIES(${Orxonox_BINARY_DIR})
 
 ADD_SUBDIRECTORY(util)
Index: /code/branches/FICN_test/src/audio/CMakeLists.txt
===================================================================
--- /code/branches/FICN_test/src/audio/CMakeLists.txt	(revision 760)
+++ /code/branches/FICN_test/src/audio/CMakeLists.txt	(revision 761)
@@ -7,8 +7,8 @@
 )
 
-ADD_LIBRARY(${Orxonox_BINARY_DIR}/audio SHARED ${SRC_FILES})
-SET_TARGET_PROPERTIES( ${Orxonox_BINARY_DIR}/audio PROPERTIES LINK_FLAGS "--no-undefined" )
+ADD_LIBRARY( audio SHARED ${SRC_FILES})
+SET_TARGET_PROPERTIES( audio PROPERTIES LINK_FLAGS "--no-undefined" )
 
-TARGET_LINK_LIBRARIES( ${Orxonox_BINARY_DIR}/audio
+TARGET_LINK_LIBRARIES( audio
   ${OPENAL_LIBRARY}
   ${ALUT_LIBRARY}
@@ -17,5 +17,5 @@
 #  ${VORBIS_LIBRARY}
 #  ${OGG_LIBRARY}
-  ${Orxonox_BINARY_DIR}/core
+  core
 )
 
Index: /code/branches/FICN_test/src/loader/CMakeLists.txt
===================================================================
--- /code/branches/FICN_test/src/loader/CMakeLists.txt	(revision 760)
+++ /code/branches/FICN_test/src/loader/CMakeLists.txt	(revision 761)
@@ -3,8 +3,8 @@
 )
 
-ADD_LIBRARY(${Orxonox_BINARY_DIR}/loader SHARED ${LOADER_SRC_FILES})
-SET_TARGET_PROPERTIES( ${Orxonox_BINARY_DIR}/loader PROPERTIES LINK_FLAGS "--no-undefined" )
+ADD_LIBRARY( loader SHARED ${LOADER_SRC_FILES})
+SET_TARGET_PROPERTIES( loader PROPERTIES LINK_FLAGS "--no-undefined" )
 
-TARGET_LINK_LIBRARIES( ${Orxonox_BINARY_DIR}/loader
-  ${Orxonox_BINARY_DIR}/util
+TARGET_LINK_LIBRARIES( loader
+  util
 )
Index: /code/branches/FICN_test/src/network/CMakeLists.txt
===================================================================
--- /code/branches/FICN_test/src/network/CMakeLists.txt	(revision 760)
+++ /code/branches/FICN_test/src/network/CMakeLists.txt	(revision 761)
@@ -15,15 +15,15 @@
 
 IF(WIN32)
-  ADD_LIBRARY(${Orxonox_BINARY_DIR}/network ${NETWORK_SRC_FILES})
+  ADD_LIBRARY( network ${NETWORK_SRC_FILES})
 ELSE(WIN32)
-  ADD_LIBRARY(${Orxonox_BINARY_DIR}/network SHARED ${NETWORK_SRC_FILES})
+  ADD_LIBRARY( network SHARED ${NETWORK_SRC_FILES})
 ENDIF(WIN32)
-SET_TARGET_PROPERTIES( ${Orxonox_BINARY_DIR}/network PROPERTIES LINK_FLAGS "--no-undefined" )
+SET_TARGET_PROPERTIES( network PROPERTIES LINK_FLAGS "--no-undefined" )
 
-TARGET_LINK_LIBRARIES( ${Orxonox_BINARY_DIR}/network
+TARGET_LINK_LIBRARIES( network
   ${ZLIB_LIBRARY}
   ${ENet_LIBRARY}
   ${Boost_thread_LIBRARIES}
-  ${Orxonox_BINARY_DIR}/core
+  core
 )
 
Index: /code/branches/FICN_test/src/orxonox/CMakeLists.txt
===================================================================
--- /code/branches/FICN_test/src/orxonox/CMakeLists.txt	(revision 760)
+++ /code/branches/FICN_test/src/orxonox/CMakeLists.txt	(revision 761)
@@ -33,16 +33,16 @@
 )
 
-ADD_EXECUTABLE(${Orxonox_BINARY_DIR}/main ${ORXONOX_SRC_FILES} )
+ADD_EXECUTABLE( main ${ORXONOX_SRC_FILES} )
 
-SET_TARGET_PROPERTIES( ${Orxonox_BINARY_DIR}/main PROPERTIES LINK_FLAGS "--no-undefined" )
+SET_TARGET_PROPERTIES( main PROPERTIES LINK_FLAGS "--no-undefined" )
 
-TARGET_LINK_LIBRARIES( ${Orxonox_BINARY_DIR}/main
+TARGET_LINK_LIBRARIES( main
   ${OGRE_LIBRARIES}
   ${OIS_LIBRARIES}
-  ${Orxonox_BINARY_DIR}/util
-  ${Orxonox_BINARY_DIR}/core
-  ${Orxonox_BINARY_DIR}/audio
-  ${Orxonox_BINARY_DIR}/network
-  ${Orxonox_BINARY_DIR}/loader
+  util
+  core
+  audio
+  network
+  loader
 )
 
Index: /code/branches/FICN_test/src/orxonox/core/CMakeLists.txt
===================================================================
--- /code/branches/FICN_test/src/orxonox/core/CMakeLists.txt	(revision 760)
+++ /code/branches/FICN_test/src/orxonox/core/CMakeLists.txt	(revision 761)
@@ -15,8 +15,8 @@
 )
 
-ADD_LIBRARY(${Orxonox_BINARY_DIR}/core SHARED ${CORE_SRC_FILES})
-SET_TARGET_PROPERTIES( ${Orxonox_BINARY_DIR}/core PROPERTIES LINK_FLAGS "--no-undefined" )
+ADD_LIBRARY( core SHARED ${CORE_SRC_FILES})
+SET_TARGET_PROPERTIES( core PROPERTIES LINK_FLAGS "--no-undefined" )
 
-TARGET_LINK_LIBRARIES( ${Orxonox_BINARY_DIR}/core
-  ${Orxonox_BINARY_DIR}/util
+TARGET_LINK_LIBRARIES( core
+  util
 )