Index: de/branches/FICN/bin/main.bat
===================================================================
--- /code/branches/FICN/bin/main.bat	(revision 773)
+++ 	(revision )
@@ -1,4 +1,0 @@
-title Orxonox
-path lib;%path%
-main.exe
-pause
Index: /code/branches/FICN/bin/orxonox.bat
===================================================================
--- /code/branches/FICN/bin/orxonox.bat	(revision 774)
+++ /code/branches/FICN/bin/orxonox.bat	(revision 774)
@@ -0,0 +1,4 @@
+title Orxonox
+path lib;%path%
+orxonox.exe
+pause
Index: /code/branches/FICN/bin/run-script
===================================================================
--- /code/branches/FICN/bin/run-script	(revision 773)
+++ /code/branches/FICN/bin/run-script	(revision 774)
@@ -1,6 +1,6 @@
 #!/bin/bash
 
-if [[ !  -f main ]] ; then
-	echo "main does not exist"
+if [[ !  -f orxonox ]] ; then
+	echo "orxonox does not exist"
 	echo "did you compile it?"
 
@@ -22,3 +22,3 @@
 	fi
 fi
-exec ./main $@
+exec ./orxonox $@
Index: /code/branches/FICN/src/CMakeLists.txt
===================================================================
--- /code/branches/FICN/src/CMakeLists.txt	(revision 773)
+++ /code/branches/FICN/src/CMakeLists.txt	(revision 774)
@@ -1,3 +1,4 @@
 INCLUDE_DIRECTORIES(.)
+INCLUDE_DIRECTORIES(orxonox)
 
 ADD_SUBDIRECTORY(util)
Index: /code/branches/FICN/src/audio/AudioIncludes.h
===================================================================
--- /code/branches/FICN/src/audio/AudioIncludes.h	(revision 773)
+++ /code/branches/FICN/src/audio/AudioIncludes.h	(revision 774)
@@ -11,3 +11,3 @@
 #include <vorbis/vorbisfile.h>
 
-#include "orxonox/core/Error.h"
+#include "core/Error.h"
Index: /code/branches/FICN/src/audio/AudioManager.cc
===================================================================
--- /code/branches/FICN/src/audio/AudioManager.cc	(revision 773)
+++ /code/branches/FICN/src/audio/AudioManager.cc	(revision 774)
@@ -27,5 +27,5 @@
 
 #include "AudioManager.h"
-#include "orxonox/core/Debug.h"
+#include "core/Debug.h"
 
 namespace audio
Index: /code/branches/FICN/src/loader/LevelLoader.cc
===================================================================
--- /code/branches/FICN/src/loader/LevelLoader.cc	(revision 773)
+++ /code/branches/FICN/src/loader/LevelLoader.cc	(revision 774)
@@ -29,10 +29,10 @@
 #include <OgreOverlayManager.h>
 
-#include "orxonox/core/Error.h"
-#include "orxonox/core/Debug.h"
-#include "orxonox/core/CoreIncludes.h"
+#include "core/Error.h"
+#include "core/Debug.h"
+#include "core/CoreIncludes.h"
 
 #include "audio/AudioManager.h"
-#include "orxonox/core/BaseObject.h"
+#include "core/BaseObject.h"
 #include "orxonox/Orxonox.h"
 
Index: /code/branches/FICN/src/network/Client.h
===================================================================
--- /code/branches/FICN/src/network/Client.h	(revision 773)
+++ /code/branches/FICN/src/network/Client.h	(revision 774)
@@ -19,5 +19,5 @@
 #include "PacketManager.h"
 #include "GameStateClient.h"
-#include "orxonox/core/CoreIncludes.h"
+#include "core/CoreIncludes.h"
 //#include "NetworkFrameListener.h"
 
Index: /code/branches/FICN/src/network/ConnectionManager.h
===================================================================
--- /code/branches/FICN/src/network/ConnectionManager.h	(revision 773)
+++ /code/branches/FICN/src/network/ConnectionManager.h	(revision 774)
@@ -24,5 +24,5 @@
 #include "PacketBuffer.h"
 #include "PacketManager.h"
-#include "orxonox/core/CoreIncludes.h"
+#include "core/CoreIncludes.h"
 
 namespace std{
Index: /code/branches/FICN/src/network/GameStateClient.h
===================================================================
--- /code/branches/FICN/src/network/GameStateClient.h	(revision 773)
+++ /code/branches/FICN/src/network/GameStateClient.h	(revision 774)
@@ -15,6 +15,6 @@
 #include "zlib.h"
 #include "Synchronisable.h"
-#include "orxonox/core/CoreIncludes.h"
-#include "orxonox/core/BaseObject.h"
+#include "core/CoreIncludes.h"
+#include "core/BaseObject.h"
 #include "GameStateManager.h"
 
Index: /code/branches/FICN/src/network/GameStateManager.h
===================================================================
--- /code/branches/FICN/src/network/GameStateManager.h	(revision 773)
+++ /code/branches/FICN/src/network/GameStateManager.h	(revision 774)
@@ -19,6 +19,6 @@
 #include "ClientInformation.h"
 #include "Synchronisable.h"
-#include "orxonox/core/CoreIncludes.h"
-#include "orxonox/core/Iterator.h"
+#include "core/CoreIncludes.h"
+#include "core/Iterator.h"
 #include "PacketTypes.h"
 
Index: /code/branches/FICN/src/network/Synchronisable.cc
===================================================================
--- /code/branches/FICN/src/network/Synchronisable.cc	(revision 773)
+++ /code/branches/FICN/src/network/Synchronisable.cc	(revision 774)
@@ -11,5 +11,5 @@
 
 #include "Synchronisable.h"
-#include "orxonox/core/CoreIncludes.h"
+#include "core/CoreIncludes.h"
 
 
Index: /code/branches/FICN/src/network/Synchronisable.h
===================================================================
--- /code/branches/FICN/src/network/Synchronisable.h	(revision 773)
+++ /code/branches/FICN/src/network/Synchronisable.h	(revision 774)
@@ -17,6 +17,6 @@
 #include <string>
 
-#include "orxonox/core/CoreIncludes.h"
-#include "orxonox/core/OrxonoxClass.h"
+#include "core/CoreIncludes.h"
+#include "core/OrxonoxClass.h"
 
 namespace network {
Index: /code/branches/FICN/src/orxonox/CMakeLists.txt
===================================================================
--- /code/branches/FICN/src/orxonox/CMakeLists.txt	(revision 773)
+++ /code/branches/FICN/src/orxonox/CMakeLists.txt	(revision 774)
@@ -31,9 +31,9 @@
 )
 
-ADD_EXECUTABLE( main ${ORXONOX_SRC_FILES} )
+ADD_EXECUTABLE( orxonox ${ORXONOX_SRC_FILES} )
 
-SET_TARGET_PROPERTIES( main PROPERTIES LINK_FLAGS "--no-undefined" )
+SET_TARGET_PROPERTIES( orxonox PROPERTIES LINK_FLAGS "--no-undefined" )
 
-TARGET_LINK_LIBRARIES( main
+TARGET_LINK_LIBRARIES( orxonox
   ${OGRE_LIBRARIES}
   ${OIS_LIBRARIES}
Index: /code/branches/FICN/src/orxonox/objects/Ambient.h
===================================================================
--- /code/branches/FICN/src/orxonox/objects/Ambient.h	(revision 773)
+++ /code/branches/FICN/src/orxonox/objects/Ambient.h	(revision 774)
@@ -4,5 +4,5 @@
 #include "../OrxonoxPrereqs.h"
 
-#include "orxonox/core/BaseObject.h"
+#include "core/BaseObject.h"
 
 namespace orxonox
Index: /code/branches/FICN/src/orxonox/objects/Camera.h
===================================================================
--- /code/branches/FICN/src/orxonox/objects/Camera.h	(revision 773)
+++ /code/branches/FICN/src/orxonox/objects/Camera.h	(revision 774)
@@ -4,5 +4,5 @@
 #include "../OrxonoxPrereqs.h"
 
-#include "orxonox/core/BaseObject.h"
+#include "core/BaseObject.h"
 
 namespace orxonox
Index: /code/branches/FICN/src/orxonox/objects/Skybox.h
===================================================================
--- /code/branches/FICN/src/orxonox/objects/Skybox.h	(revision 773)
+++ /code/branches/FICN/src/orxonox/objects/Skybox.h	(revision 774)
@@ -4,5 +4,5 @@
 #include "../OrxonoxPrereqs.h"
 
-#include "orxonox/core/BaseObject.h"
+#include "core/BaseObject.h"
 
 class TiXmlElement; // Forward declaration
Index: /code/branches/FICN/src/orxonox/objects/Test.h
===================================================================
--- /code/branches/FICN/src/orxonox/objects/Test.h	(revision 773)
+++ /code/branches/FICN/src/orxonox/objects/Test.h	(revision 774)
@@ -29,5 +29,5 @@
 #define _Test_H__
 
-#include "orxonox/core/BaseObject.h"
+#include "core/BaseObject.h"
 #include "../core/CoreIncludes.h"
 
Index: /code/branches/FICN/src/orxonox/objects/WorldEntity.h
===================================================================
--- /code/branches/FICN/src/orxonox/objects/WorldEntity.h	(revision 773)
+++ /code/branches/FICN/src/orxonox/objects/WorldEntity.h	(revision 774)
@@ -11,5 +11,5 @@
 #include "util/tinyxml/tinyxml.h"
 #include "../core/CoreIncludes.h"
-#include "orxonox/core/BaseObject.h"
+#include "core/BaseObject.h"
 #include "Tickable.h"
 #include "../tools/Mesh.h"
Index: /code/branches/FICN/src/orxonox/objects/test1.h
===================================================================
--- /code/branches/FICN/src/orxonox/objects/test1.h	(revision 773)
+++ /code/branches/FICN/src/orxonox/objects/test1.h	(revision 774)
@@ -2,5 +2,5 @@
 #define _Test1_H__
 
-#include "orxonox/core/BaseObject.h"
+#include "core/BaseObject.h"
 #include "Tickable.h"
 #include "test3.h"
Index: /code/branches/FICN/src/orxonox/objects/test2.h
===================================================================
--- /code/branches/FICN/src/orxonox/objects/test2.h	(revision 773)
+++ /code/branches/FICN/src/orxonox/objects/test2.h	(revision 774)
@@ -2,5 +2,5 @@
 #define _Test2_H__
 
-#include "orxonox/core/BaseObject.h"
+#include "core/BaseObject.h"
 #include "../tools/Timer.h"
 
Index: /code/branches/FICN/src/orxonox/objects/test3.h
===================================================================
--- /code/branches/FICN/src/orxonox/objects/test3.h	(revision 773)
+++ /code/branches/FICN/src/orxonox/objects/test3.h	(revision 774)
@@ -2,5 +2,5 @@
 #define _Test3_H__
 
-#include "orxonox/core/BaseObject.h"
+#include "core/BaseObject.h"
 
 namespace orxonox
Index: /code/branches/FICN/src/orxonox/objects/weapon/AmmunitionDump.h
===================================================================
--- /code/branches/FICN/src/orxonox/objects/weapon/AmmunitionDump.h	(revision 773)
+++ /code/branches/FICN/src/orxonox/objects/weapon/AmmunitionDump.h	(revision 774)
@@ -38,5 +38,5 @@
 #include "network/Synchronisable.h"
 //#include "../core/CoreIncludes.h"
-#include "orxonox/core/BaseObject.h"
+#include "core/BaseObject.h"
 
 
Index: /code/branches/FICN/src/orxonox/objects/weapon/BulletManager.h
===================================================================
--- /code/branches/FICN/src/orxonox/objects/weapon/BulletManager.h	(revision 773)
+++ /code/branches/FICN/src/orxonox/objects/weapon/BulletManager.h	(revision 774)
@@ -39,5 +39,5 @@
 #include "util/tinyxml/tinyxml.h"
 #include "../../core/CoreIncludes.h"
-#include "orxonox/core/BaseObject.h"
+#include "core/BaseObject.h"
 #include "../Tickable.h"
 
Index: /code/branches/FICN/src/util/String2Number.h
===================================================================
--- /code/branches/FICN/src/util/String2Number.h	(revision 773)
+++ /code/branches/FICN/src/util/String2Number.h	(revision 774)
@@ -6,5 +6,5 @@
 #include <iostream>
 
-#include "orxonox/core/Debug.h"
+#include "core/Debug.h"
 
 /**