Index: code/branches/FICN/src/orxonox/GraphicsEngine.cc
===================================================================
--- code/branches/FICN/src/orxonox/GraphicsEngine.cc	(revision 783)
+++ code/branches/FICN/src/orxonox/GraphicsEngine.cc	(revision 784)
@@ -29,4 +29,6 @@
     @brief Orxonox class
   */
+
+#include "StableHeaders.h"
 
 #include "GraphicsEngine.h"
Index: code/branches/FICN/src/orxonox/InputManager.cc
===================================================================
--- code/branches/FICN/src/orxonox/InputManager.cc	(revision 783)
+++ code/branches/FICN/src/orxonox/InputManager.cc	(revision 784)
@@ -1,2 +1,4 @@
+#include "StableHeaders.h"
+
 #include "InputManager.h"
 
Index: code/branches/FICN/src/orxonox/Main.cc
===================================================================
--- code/branches/FICN/src/orxonox/Main.cc	(revision 783)
+++ code/branches/FICN/src/orxonox/Main.cc	(revision 784)
@@ -30,4 +30,6 @@
  @brief main file handling most of the machine specific code
   */
+
+#include "StableHeaders.h"
 
 #include <OgrePlatform.h>
Index: code/branches/FICN/src/orxonox/Orxonox.cc
===================================================================
--- code/branches/FICN/src/orxonox/Orxonox.cc	(revision 783)
+++ code/branches/FICN/src/orxonox/Orxonox.cc	(revision 784)
@@ -30,4 +30,7 @@
  @brief Orxonox Main Class
  */
+
+// Precompiled Headers
+#include "StableHeaders.h"
 
 //****** OGRE ******
Index: code/branches/FICN/src/orxonox/SpaceshipSteering.cc
===================================================================
--- code/branches/FICN/src/orxonox/SpaceshipSteering.cc	(revision 783)
+++ code/branches/FICN/src/orxonox/SpaceshipSteering.cc	(revision 784)
@@ -25,4 +25,6 @@
 *
 */
+
+#include "StableHeaders.h"
 
 #include <OgreNode.h>
Index: code/branches/FICN/src/orxonox/hud/HUD.cc
===================================================================
--- code/branches/FICN/src/orxonox/hud/HUD.cc	(revision 783)
+++ code/branches/FICN/src/orxonox/hud/HUD.cc	(revision 784)
@@ -25,4 +25,6 @@
 *
 */
+
+#include "StableHeaders.h"
 
 #include <OgreOverlayManager.h>
Index: code/branches/FICN/src/orxonox/objects/Ambient.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/Ambient.cc	(revision 783)
+++ code/branches/FICN/src/orxonox/objects/Ambient.cc	(revision 784)
@@ -25,4 +25,6 @@
  *
  */
+
+#include "StableHeaders.h"
 
 #include <vector>
Index: code/branches/FICN/src/orxonox/objects/Camera.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/Camera.cc	(revision 783)
+++ code/branches/FICN/src/orxonox/objects/Camera.cc	(revision 784)
@@ -1,2 +1,5 @@
+
+#include "StableHeaders.h"
+
 #include <string>
 
Index: code/branches/FICN/src/orxonox/objects/Explosion.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/Explosion.cc	(revision 783)
+++ code/branches/FICN/src/orxonox/objects/Explosion.cc	(revision 784)
@@ -25,4 +25,6 @@
  *
  */
+
+#include "StableHeaders.h"
 
 #include <OgreParticleSystem.h>
Index: code/branches/FICN/src/orxonox/objects/Fighter.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/Fighter.cc	(revision 783)
+++ code/branches/FICN/src/orxonox/objects/Fighter.cc	(revision 784)
@@ -25,4 +25,6 @@
  *
  */
+
+#include "StableHeaders.h"
 
 #include <string>
Index: code/branches/FICN/src/orxonox/objects/Model.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/Model.cc	(revision 783)
+++ code/branches/FICN/src/orxonox/objects/Model.cc	(revision 784)
@@ -25,4 +25,6 @@
  *
  */
+
+#include "StableHeaders.h"
 
 #include "util/tinyxml/tinyxml.h"
Index: code/branches/FICN/src/orxonox/objects/NPC.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/NPC.cc	(revision 783)
+++ code/branches/FICN/src/orxonox/objects/NPC.cc	(revision 784)
@@ -25,4 +25,6 @@
  *
  */
+
+#include "StableHeaders.h"
 
 #include "../core/CoreIncludes.h"
Index: code/branches/FICN/src/orxonox/objects/Projectile.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/Projectile.cc	(revision 783)
+++ code/branches/FICN/src/orxonox/objects/Projectile.cc	(revision 784)
@@ -25,4 +25,6 @@
  *
  */
+
+#include "StableHeaders.h"
 
 #include "../core/CoreIncludes.h"
Index: code/branches/FICN/src/orxonox/objects/Skybox.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/Skybox.cc	(revision 783)
+++ code/branches/FICN/src/orxonox/objects/Skybox.cc	(revision 784)
@@ -25,4 +25,6 @@
  *
  */
+
+#include "StableHeaders.h"
 
 #include <string>
Index: code/branches/FICN/src/orxonox/objects/SpaceShip.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/SpaceShip.cc	(revision 783)
+++ code/branches/FICN/src/orxonox/objects/SpaceShip.cc	(revision 784)
@@ -26,4 +26,6 @@
  */
 
+#include "StableHeaders.h"
+
 #include <string>
 
Index: code/branches/FICN/src/orxonox/objects/SpaceshipSteeringObject.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/SpaceshipSteeringObject.cc	(revision 783)
+++ code/branches/FICN/src/orxonox/objects/SpaceshipSteeringObject.cc	(revision 784)
@@ -25,4 +25,6 @@
  *
  */
+
+#include "StableHeaders.h"
 
 #include <OgreSceneManager.h>
Index: code/branches/FICN/src/orxonox/objects/SpaceshipSteeringObject.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/SpaceshipSteeringObject.h	(revision 783)
+++ code/branches/FICN/src/orxonox/objects/SpaceshipSteeringObject.h	(revision 784)
@@ -2,5 +2,5 @@
 #define _OBJECT_SPACESHIPSTEERING_H__
 
-#include "BaseObject.h"
+#include "core/BaseObject.h"
 #include "util/tinyxml/tinyxml.h"
 
Index: code/branches/FICN/src/orxonox/objects/WorldEntity.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/WorldEntity.cc	(revision 783)
+++ code/branches/FICN/src/orxonox/objects/WorldEntity.cc	(revision 784)
@@ -25,4 +25,6 @@
  *
  */
+
+#include "StableHeaders.h"
 
 #include <string>
Index: code/branches/FICN/src/orxonox/objects/weapon/AmmunitionDump.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/weapon/AmmunitionDump.cc	(revision 783)
+++ code/branches/FICN/src/orxonox/objects/weapon/AmmunitionDump.cc	(revision 784)
@@ -25,4 +25,6 @@
  *
  */
+
+#include "StableHeaders.h"
 
 #include "orxonox/Orxonox.h"
Index: code/branches/FICN/src/orxonox/objects/weapon/BarrelGun.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/weapon/BarrelGun.cc	(revision 783)
+++ code/branches/FICN/src/orxonox/objects/weapon/BarrelGun.cc	(revision 784)
@@ -25,4 +25,6 @@
  *
  */
+
+#include "StableHeaders.h"
 
 #include <OgreStringConverter.h>
Index: code/branches/FICN/src/orxonox/objects/weapon/BaseWeapon.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/weapon/BaseWeapon.cc	(revision 783)
+++ code/branches/FICN/src/orxonox/objects/weapon/BaseWeapon.cc	(revision 784)
@@ -25,4 +25,6 @@
  *
  */
+
+#include "StableHeaders.h"
 
 #include <OgreStringConverter.h>
Index: code/branches/FICN/src/orxonox/objects/weapon/Bullet.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/weapon/Bullet.cc	(revision 783)
+++ code/branches/FICN/src/orxonox/objects/weapon/Bullet.cc	(revision 784)
@@ -26,4 +26,6 @@
  */
 
+#include "StableHeaders.h"
+
 #include "Bullet.h"
 
Index: code/branches/FICN/src/orxonox/objects/weapon/BulletManager.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/weapon/BulletManager.cc	(revision 783)
+++ code/branches/FICN/src/orxonox/objects/weapon/BulletManager.cc	(revision 784)
@@ -25,4 +25,6 @@
  *
  */
+
+#include "StableHeaders.h"
 
 #include "BulletManager.h"
Index: code/branches/FICN/src/orxonox/objects/weapon/WeaponStation.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/weapon/WeaponStation.cc	(revision 783)
+++ code/branches/FICN/src/orxonox/objects/weapon/WeaponStation.cc	(revision 784)
@@ -25,4 +25,6 @@
  *
  */
+
+#include "StableHeaders.h"
 
 #include "BaseWeapon.h"
Index: code/branches/FICN/src/orxonox/particle/ParticleInterface.cc
===================================================================
--- code/branches/FICN/src/orxonox/particle/ParticleInterface.cc	(revision 783)
+++ code/branches/FICN/src/orxonox/particle/ParticleInterface.cc	(revision 784)
@@ -30,4 +30,6 @@
 * @brief class to control praticle effects
 */
+
+#include "StableHeaders.h"
 
 #include "ParticleInterface.h"
Index: code/branches/FICN/src/orxonox/tools/BillboardSet.cc
===================================================================
--- code/branches/FICN/src/orxonox/tools/BillboardSet.cc	(revision 783)
+++ code/branches/FICN/src/orxonox/tools/BillboardSet.cc	(revision 784)
@@ -25,4 +25,6 @@
  *
  */
+
+#include "StableHeaders.h"
 
 #include <sstream>
Index: code/branches/FICN/src/orxonox/tools/Light.cc
===================================================================
--- code/branches/FICN/src/orxonox/tools/Light.cc	(revision 783)
+++ code/branches/FICN/src/orxonox/tools/Light.cc	(revision 784)
@@ -1,2 +1,4 @@
+#include "StableHeaders.h"
+
 #include <sstream>
 
Index: code/branches/FICN/src/orxonox/tools/Mesh.cc
===================================================================
--- code/branches/FICN/src/orxonox/tools/Mesh.cc	(revision 783)
+++ code/branches/FICN/src/orxonox/tools/Mesh.cc	(revision 784)
@@ -25,4 +25,6 @@
  *
  */
+
+#include "StableHeaders.h"
 
 #include <sstream>